GET
/transactions/fees-categoriesGet Fees Categories transactions
Outcome - Retrieves transactions specifically identified as system fees or gas station fees (non-vault transactions). This endpoint returns transactions where vaultId is null.
Query Parameters
cursorstringnullableCursor for pagination.
limitnumbernullableNumber of results per page.
sortKeystringnullableSort results by id, amount, dollarAmount, fees.
orderstringnullableSort order: 'ASC' or 'DESC'.
searchstringnullableSearch by senderAddress, receiverAddress.
filtersobjectnullableFilters results. Can include gasStationCategoryId or systemFeesCategoryId.
Responses
Response attributes
messagestringSuccess message
dataarrayList of transactions
metaobjectPagination metadata
Show child attributes (5)
hasNextPagebooleanWhether there is a next page
hasPreviousPagebooleanWhether there is a previous page
nextCursorstringnullableCursor for the next page
previousCursorstringnullableCursor for the previous page
limitnumberLimit of results
Was this page helpful?